petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecStrideMax

Computes the maximum of subvector of a vector defined by a starting point and a stride and optionally its location.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideMax(Vec v,PetscInt start,PetscInt *idex,PetscReal *nrm)

Collective on Vec Many br

### Input Parameter

| v | - the vector Many br
| start | - starting point of the subvector (defined by a stride) Many br

### Output Parameter

| index | - the location where the maximum occurred (pass NULL if not required) Many br
| nrm | - the maximum value in the subvector Many br

### Notes

One must call VecSetBlockSize() before this routine to set the stride Many brinformation, or use a vector created from a multicomponent DMDA. Many br

If xa is the array representing the vector x, then this computes the max Many brof the array (xa[start],xa[start+stride],xa[start+2*stride], ....) Many br

This is useful for computing, say the maximum of the pressure variable when Many brthe pressure is stored (interlaced) with other variables, e.g., density, etc. Many brThis will only work if the desire subvector is a stride subvector. Many br

Many br

### See Also

VecMax(), VecStrideNorm(), VecStrideGather(), VecStrideScatter(), VecStrideMin()

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages